Subject: Re: loaded router, excessive getnstimeofday in oprofile

From: Rick Jones <[email-masked]>
Date: Thu, 28 Aug 2008 11:00:48 -0700

> What utility does the time of hitting the socket get you?

The earliest time the application could have been expected to start 
processing the request.  Until it hits the socket, it might as well be 
somewhere in the cloud.  By that reasoning of course, one could argue 
that a gettimeofday() call immediately following recv() would suffice.

Earlier in the thread mention was made of financial services types.  If 
someone has knowledge of the (probably) arcane rules under which they 
must operate it would be great to hear more.  Does some entity like the 
SEC (Securities and Exchange Commission in the United States) mandate 
some sort of timestamp for when the trading request "arrives at the 
trading system" and do they define that "arriving at the trading system" 
means?

rick jones